summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-29 17:33:01 +0100
committerHolger Levsen <holger@layer-acht.org>2014-10-29 17:33:01 +0100
commitbfd96ec278bb138b6a55e71652961f2d05090e6b (patch)
tree82644dd8c2ee5fb87e66eee82c09899e0a6ae905
parentb433214b26d639aea85e1f8a2d6571ef8bc82e9c (diff)
downloadjenkins.debian.net-bfd96ec278bb138b6a55e71652961f2d05090e6b.tar.xz
complain earlier, fail less
-rwxr-xr-xbin/reproducible_housekeeping.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/reproducible_housekeeping.sh b/bin/reproducible_housekeeping.sh
index 3086040a..b2d0e982 100755
--- a/bin/reproducible_housekeeping.sh
+++ b/bin/reproducible_housekeeping.sh
@@ -34,7 +34,7 @@ if [ ! -f reproducible_$DATE.db.xz ] ; then
fi
# find and warn about old temp directories
-OLDSTUFF=$(find $REP_RESULTS -type d -name "tmp.*" -mtime +7 -exec ls -lad {} \;)
+OLDSTUFF=$(find $REP_RESULTS -type d -name "tmp.*" -mtime +1 -exec ls -lad {} \;)
if [ ! -z "$OLDSTUFF" ] ; then
echo
echo "Warning: old temp directories found in $REP_RESULTS"
@@ -45,7 +45,7 @@ if [ ! -z "$OLDSTUFF" ] ; then
fi
# find and warn about pbuild leftovers
-OLDSTUFF=$(find /var/cache/pbuilder/result/ -mtime +7 -exec ls -lad {} \;)
+OLDSTUFF=$(find /var/cache/pbuilder/result/ -mtime +0 -exec ls -lad {} \;)
if [ ! -z "$OLDSTUFF" ] ; then
echo
echo "Warning: old files or directories found in /var/cache/pbuilder/result/"
@@ -61,7 +61,7 @@ RESULT=$(mktemp)
ps axo pid,user,size,pcpu,cmd > $HAYSTACK
for ZOMBIE in $(pgrep -u 1234 -P 1 || true) ; do
# faked-sysv comes and goes...
- grep ^$ZOMBIE $HAYSTACK | grep -v faked-sysv >> $RESULT 2> /dev/null
+ grep ^$ZOMBIE $HAYSTACK | grep -v faked-sysv >> $RESULT 2> /dev/null || true
done
if [ -s $RESULT ] ; then
echo